## afsadm-client 1.0

=== Makefile ===
CC = gcc
#CFLAGS = -g

CFLAGS	= `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`

LDFLAGS = `dpkg-buildflags --get LDFLAGS`

#LDFLAGS	= -Wl,-rpath,/usr/lib 

LIBS 	= -L/usr/lib -lkrb5 -lcom_err -lcrypto -lkafs

CLNTLIBS = -L/usr/lib -lkrb5 -lcom_err -lcrypto -lreadline -lcurses
INCLUDES = -I/usr/include

SOURCES=parceconf.c server.c struct.c afsadmd.c afsadmclnt.c
CLNTOBJECTS=afsadmclnt.o
HEADERS=afsadm.h

EXNAME=afsadm-client
LNNAME=afsadm

all:	afsadm

build:	afsadm

afsadm: $(CLNTOBJECTS)
	$(CC) $(LDFLAGS) -o $(EXNAME) $(CLNTOBJECTS) $(CLNTLIBS)

install:
	mkdir $(DESTDIR)
	mkdir $(DESTDIR)/usr
	mkdir $(DESTDIR)/usr/bin
	cp $(EXNAME) $(DESTDIR)/usr/bin
	ln -s $(EXNAME) $(LNNAME)
	cp -P $(LNNAME) $(DESTDIR)/usr/bin

clean:	
	rm -f $(CLNTOBJECTS)
	rm -f $(EXNAME)
	rm -f $(LNNAME)
	rm -rf $(DESTDIR)

=== debian/changelog ===
afsadm-client (1.0-2) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Repair dependences, manualsite

 -- root <root@ui505ap07-lps.zcu.cz>  Mon, 29 Jul 2013 14:26:25 +0200

afsadm-client (1.0-1) unstable; urgency=low

  * Initial release (Closes: #1001)  

 -- Jiří Loudil <loudilj@students.zcu.cz>  Sun, 11 Nov 2012 12:22:14 +0100

=== debian/control ===
Source: afsadm-client
Section: net
Priority: optional
Maintainer: Michal ﻿Švamberg <svamberg@civ.zcu.cz>
Uploaders: Jiří Loudil <loudilj@students.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~),
		dh-buildinfo,
		dh-autoreconf,
		libreadline-dev,
		libssl-dev,
		libkrb5-dev,
		libncurses5-dev
Standards-Version: 3.9.3
Homepage: http://support.zcu.cz/index.php/LPS:Afsadm
#Vcs-Git: git://git.debian.org/collab-maint/afsadm-client.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/afsadm-client.git;a=summary

Package: afsadm-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user, openafs-krb5, libreadline5
Description: AFS access control tool client
 Afsadm is a simple tool that allows defined 
 users to perform privileged operations
 in AFS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1

-include /usr/share/dpkg/buildflags.mk

build:	$(MAKE)

binary:	
	dh_testroot
	dh_auto_install
	dh_shlibdeps
	dh_strip
	dh_installdocs
	dh_installchangelogs
	dh_installman 
	dh_installdeb
	dh_gencontrol
	dh_compress
	dh_md5sums
	dh_builddeb

clean:	
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- $(shell dkpg-buildflags --export=make)
